<?xml version='1.0' encoding='ISO-8859-1'?>

<!ELEMENT http-request (url,headers,data?)>
<!ATTLIST http-request  type (POST|GET|PUT) #REQUIRED
                        http-version CDATA #IMPLIED>

<!ELEMENT http-response (url,errmsg,headers,content)>
<!ATTLIST http-response errcode CDATA #REQUIRED>

<!ELEMENT url     (#PCDATA)>
<!ELEMENT errmsg  (#PCDATA)>
<!ELEMENT headers (header*)>

<!ELEMENT header  (#PCDATA)>
<!ATTLIST header  name CDATA #REQUIRED>

<!ELEMENT content (#PCDATA)>
<!ELEMENT path    (#PCDATA)>
<!ELEMENT data    (#PCDATA)>

<!ELEMENT http-cgi-request EMPTY>

